<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
	
<style>
.fixedSizeParkingCard,.fixedCountParkingCard{
	width:400px;
	display:inline-block;
}
#diySizeParkingCard,#diyCountParkingCard{
	width:400px;
	display:inline-block;
}
.fixedSizeParkingCard .layui-input,.fixedCountParkingCard .layui-input{
	width:100%
}
.fixedSizeParkingCard .layui-edge,.fixedCountParkingCard .layui-edge{
	right:0px
}
</style>
<input type="hidden" name="proTypeValue" class="layui-input" value="停车卡">
<p>材质</p>
<div class="layui-form-item">
	<input type="radio" name="kindValue" lay-filter="kindValue" value="2" title="300克铜版纸" checked="checked">
</div>
<p>
	规格	
</p>
<div class="layui-form-item fixedSizeParkingCard">
	<select name="size" id="fixedSizeParkingCard" class="select">
		<option value="21*9">21*9 cm</option>
	</select>
</div>
<span class="diySizeParkingCard" style="display:none">
	<input type="text" name="size" id="diySizeParkingCard"  placeholder="格式:长*宽" class="layui-input" autocomplete="off">
</span>
<input type="checkbox" name="switchSize" class="switchSizeParkingCard" lay-filter="switchSizeParkingCard" title="自定义尺寸" lay-skin="primary">
<span style="font-size:14px;color:red">输入格式: 长 * 宽</span>
<p>
	数量（张）
</p>
<div class="layui-form-item fixedCountParkingCard">
	<select name="count" class="select">
		<option value="200">200</option>
		<option value="500">500</option>
		<option value="1000">1000</option>
		<option value="2000">2000</option>
		<option value="5000">5000</option>
		<option value="10000">10000</option>
	</select>
</div>
<span class="diyCountParkingCard" style="display:none">
	<input type="text" name="count" id="diyCountParkingCard" placeholder="请输入整数" autocomplete="off"
		 class="layui-input" lay-verify="number">
</span>
<input type="checkbox" name="switchCount"lay-filter="switchCountParkingCard" title="自定义数量" lay-skin="primary">
<p>款数</p>
<div class="layui-form-item">
	<input type="text" placeholder="请输入整数" autocomplete="off" name="number"
		id="numberParkingCard" value="1" class="layui-input" lay-verify="number">
</div>
<p>
	客户旺旺
</p>
<div class="layui-form-item">
	<input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang" class="layui-input">
</div>

<script>
	layui.use(['table','form'], function(){    
	    var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
	    var table = layui.table;
	    
	 	// 默认没有选中复选框
	    $('.switchSizeParkingCard').val("off")
		// 自定义尺寸
		form.on('checkbox(switchSizeParkingCard)', function(data) {
			if(data.elem.checked){
				 $('.switchSizeParkingCard').val("on")
				$(".diySizeParkingCard").show();
				$(".fixedSizeParkingCard").hide();
				$(".diySizeParkingCard").find(":input").attr("disabled", false);
				$(".fixedSizeParkingCard").find(":input").attr("disabled", true);
			} else {
			    $('.switchSizeParkingCard').val("off")
				$(".fixedSizeParkingCard").show();
				$(".diySizeParkingCard").hide();
				$(".fixedSizeParkingCard").find(":input").attr("disabled", false);
				$(".diySizeParkingCard").find(":input").attr("disabled", true);
				// 恢复标准数量的时候会被禁用，加这个解决
				form.render();
			}
		})
		
		// 自定义數量
		form.on('checkbox(switchCountParkingCard)', function(data) {
			if(data.elem.checked){
				$(".diyCountParkingCard").show();
				$(".fixedCountParkingCard").hide();
				$(".diyCountParkingCard").find(":input").attr("disabled", false);
				$(".fixedCountParkingCard").find(":input").attr("disabled", true);		
			} else {
				$(".fixedCountParkingCard").show();
				$(".diyCountParkingCard").hide();
				$(".fixedCountParkingCard").find(":input").attr("disabled", false);
				$(".diyCountParkingCard").find(":input").attr("disabled", true);
			}
			// 恢复标准数量的时候会被禁用，加这个解决
			form.render();
		})
	})
</script>